/* ===================================================== */
/* write_crd.c                                           */
/* This subroutine writes the CHARMM crd file.           */
/* ===================================================== */

#include "defines.h"

void write_crd(void){
	FILE *fp;
	int i;
	char crdname[256];
	sprintf(crdname, "%s.crd", fileprefix);
	fp = fopen(crdname,"w");
	fprintf(fp,"%d\n",natom_dna.tot);

	for(i=0; i<natom_dna.tot; i++) {
		fprintf(fp,"%5d", i+1);
		fprintf(fp,"%5d", atom_dna[i].residue+1);
		fprintf(fp," %-4s",atom_dna[i].res_name);
		fprintf(fp," %-4s", atom_dna[i].site_name);
		fprintf(fp,"%10.5f", atom_dna[i].x);
		fprintf(fp,"%10.5f", atom_dna[i].y);
		fprintf(fp,"%10.5f", atom_dna[i].z);
		fprintf(fp," %-4s", atom_dna[i].res_name);
		fprintf(fp," %-4s\n", atom_dna[i].res_name);
	}

	fclose(fp);

}

